This MySensors equiped ClockRadio wakes me up since a couple of months.

It has the following features:
- 2 fixed alarm times
- HA controlled alarm time e.g. based on HA calendar plug-in
- large 7 segment display illumination is automatically adjusting to room light level
- automatic time synchronization with HA-controller (every 10 minutes since Arduino is not so good in time keeping)
- can play FM radio or MP3's to wake you 
- large snooze button, to silence the alarm from 7 minutes 
- can show multiple temperatures gathered from your HA controller so outside and/or inhouse temperature on button press
- is presented as motions sensor so the alarm can trigger (via your HA controller) anything for example your coffee machine
- this motion trigger can also be activated via a button (to switch on your coffee machine in the weekends with out alarm) 
- has wake-up-light feature, 30 minutes before your alarm time, it start glowing very soft red light, slowly illumining to maximum yellow light, to guarantee you a slow and graceful wake up.

On the pictures a working early prototype is shown, recently I've designed a custom PCB.

To compile the code one has to install the Adafruit_GFX and Adafruit_LEDBackpack libraries for controlling the 7 segment LED's

There are 5 buttons
- yellow: set alarm time
- green: press for 5 seconds to manually activate alarm trigger (coffee machine) **OR** set minute (when set alarm is pressed)  
- blue: show temperature, each press will show the next configured temperature (can be multiple) **OR** set hour (when set alarm is pressed) 
- red: select alarm time 1 / 2 **OR** switch off alarm and lights **OR** disable wake-up-light feature (when set alarm is pressed)
- big-red: switch on radio for one hour **OR** snooze alarm for 7 minutes (lights stay on) **OR** enable wake-up-light feature (when set alarm is pressed)

Functions from your HA controller:
"motion sensor"
- To control your coffee machine, configure a scene to respond to the presented motion sensor
- Use the by-pass to remotely switch off the alarm time, or "arm" to enable the pre-setted alarm time (twice "arm" will select the 2nd alarm time)

"Light switch" / "Dimmer"
- when you want the HA-controller determine the wakeup time, use the buttons (yellow/green/blue) to set the alarm time on "AUTO" is time between 23:50 and 0:00
- define a scene which trigger the on-button and the desired wake up time, now the radio (and light when enabled) will be switched on immediately.
- for a gracefully wake set the dimmer to 100% and the wake-up-light procedure is started which takes 30 minutes
- the dimmer is updated with the correct percentage during wake up time, so one can add multiple scene triggers during the wake up process (like start heating when the light level is 1%)

As shown on the pictures I've integrated the RG(B) led strip (blue is not used) in our bed side reading light it had already milk-white glass plates for the best effect  

Happy sleeping!




